﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_AddLibro')
	BEGIN
		DROP  Procedure spd_AddLibro
	END

GO

CREATE PROCEDURE [dbo].[spd_AddLibro]
(
	@Titulo [nchar](100),
	@ISBN [nchar](20),
	@TipoId int,
	@IdiomaId int,
	@EditorialId int,
	@AutorId int,
	@GeneroId int,
	@Stock int,
	@Sinopsis [text]
)

AS

	DECLARE @LibroId int
	INSERT INTO Libros VALUES (@Titulo, @ISBN, @TipoId, @IdiomaId,@EditorialId, @AutorId, @GeneroId, @Stock, @Sinopsis)

	SET @LibroId = @@IDENTITY 

	SELECT @LibroId
	 
GO
