﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_AddReserva')
	BEGIN
		DROP  Procedure spd_AddReserva
	END

GO

CREATE PROCEDURE [dbo].[spd_AddReserva]
(
	@UserId int,
	@LibroId int

)

AS

	DECLARE @ReservaId int

	INSERT INTO Reservas (UserId, LibroId, FechaReserva, EstadoReservaId) VALUES (@UserId,@LibroId, GETDATE(), 1)

	SET @ReservaId = @@IDENTITY 

	-- Descuenta un libro en el stock

	UPDATE Libros SET Stock = Stock -1 WHERE LibroId = @LibroId

	SELECT * FROM Reservas WHERE ReservaId = @ReservaId 
	 
GO
