﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_GetPrestamosByUserId')
	BEGIN
		DROP  Procedure  spd_GetPrestamosByUserId
	END

GO

CREATE PROCEDURE [dbo].[spd_GetPrestamosByUserId]
(
	@UserId int
)

AS

	SELECT	PrestamoId,	LibroId, UserId, FechaPrestamo, FechaRetorno, Retornado, ReservaId,	EstadoPrestamoId
	FROM	Prestamos
	WHERE	UserId = @UserId

GO
