﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_GetReservasByUserId')
	BEGIN
		DROP  Procedure  spd_GetReservasByUserId
	END

GO

CREATE PROCEDURE [dbo].[spd_GetReservasByUserId]
(
	@UserId int
)

AS

	SELECT	ReservaId, UserId, LibroId, FechaReserva, FechaCancelacion, EstadoReservaId
	FROM	Reservas
	WHERE	UserId = @UserId
	AND		EstadoReservaId <> 3 -- Reserva formalizada

GO
