﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_PI_Get_Traducciones')
	BEGIN
		DROP  Procedure spd_PI_Get_Traducciones
	END

GO

CREATE PROCEDURE [dbo].[spd_PI_Get_Traducciones]
	@Etiqueta NCHAR(50) = NULL,
	@IdiomaId INT = NULL
AS

SELECT	T.IdEtiqueta, T.Etiqueta, T.Traduccion, T.IdIdioma
FROM	vwTraducciones T
WHERE  (ISNULL(@Etiqueta, '') = '' OR T.Etiqueta = @Etiqueta)
AND	    IdIdioma = @IdiomaId	
-- AND  (ISNULL(@Idioma_CodigoRegional, '') = '' OR T.CodigoRegional = @Idioma_CodigoRegional)

GO