﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_RetornarPestamo')
	BEGIN
		DROP  Procedure  spd_RetornarPestamo
	END

GO

CREATE PROCEDURE [dbo].[spd_RetornarPestamo]
(
	@PrestamoId int
)

AS

	DECLARE @LibroId int
	
	-- Actualiza el préstamo
	UPDATE	Prestamos SET
			EstadoPrestamoId	=  2, -- Retornado
			FechaRetorno		= GETDATE(),
			Retornado			= 1
	WHERE PrestamoId = @PrestamoId

	-- Actualiza el stock de libros
	SELECT @LibroId = LibroId FROM Prestamos WHERE PrestamoId = @PrestamoId

	UPDATE Libros SET Stock = Stock + 1 WHERE LibroID = @LibroId
	
	SELECT	PrestamoId, LibroId, UserId, FechaPrestamo, FechaRetorno, Retornado, ReservaId, EstadoPrestamoId
	FROM	Prestamos 
	WHERE	PrestamoId = @PrestamoId

GO
