﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_UpdateLibro')
	BEGIN
		DROP  Procedure spd_UpdateLibro
	END

GO

CREATE PROCEDURE [dbo].[spd_UpdateLibro]
(
	@LibroId int,
	@Titulo [nchar](100),
	@ISBN [nchar](20),
	@TipoId int,
	@IdiomaId int,
	@EditorialId int,
	@AutorId int,
	@GeneroId int,
	@Stock int,
	@Sinopsis [text]
)

AS

	UPDATE Libros SET
		Titulo		= @Titulo, 
		ISBN		= @ISBN,	 
		TipoId		= @TipoId,
		IdiomaId	= @IdiomaId,
		EditorialId	= @EditorialId,
		AutorId		= @AutorId, 
		GeneroId	= @GeneroId, 
		Stock		= @Stock, 
		Sinopsis	= @Sinopsis

	WHERE LibroId = @LibroId
	 
GO
