﻿@Code
    ViewData("Title") = "Login"
    Layout = "~/Views/Shared/_Layout.vbhtml.vbhtml"
End Code
<script language="javascript" type="text/javascript">

    $(document).ready(function () {

        // Ejecuta el click del botón de login al pulsar enter
        $("#txtPass").keyup(function (event) {

            if (event.keyCode == 13) {
                login();
            }
        });
         
        // mi msgbox
        $("#msgBox").dialog({
            autoOpen: false,
            modal: true,
            resizable: false,
            dialogClass: 'dialogStyleClass',
            buttons: {
                '@Html.Translation("Cancelar")': function () {
                    $(this).dialog("close");
                }
            }
        });
    })

    // Hace una petición al controlador de usuarios
    // JAC: 14.04.2013
    function login() {

        var nif = ""
        var pass = "";
        var url = "";

        if (checkLogin() == true) {

            nif = $("#txtUser").val();
            pass = $("#txtPass").val();

            url = '@Url.Action("Login", "Usuarios")';

            $.ajax({
                url: url,
                type: "POST",
                data: { NIF: nif, Pass: pass },
                success: function (data) {
                    if (data == "False") {
                        $("#msgBox").html('@Html.Translation("loginKO")')
                        $("#msgBox").dialog("open");
                    }
                    else {
                        $(location).attr('href', '@Url.Action("Buscador", "Libros")');
                    }
                }
            });
        }
    }

    // Llama a la partial para recuperar la contraseña
    // JAC: 24.04.2013
    function recover() {
        $(location).attr('href', '@Url.Action("recover", "usuarios")');
    }

    //Permite acceder a la aplicación a un usuario como invitado
    //Guarda en la session un usuario sin datos pero con el rol de invitado
    // JAC: 14.04.2013
    function Invitado() {

        var url = '@Url.Action("Invitado", "Usuarios")';

        $.ajax({
            url: url,
            type: "POST",
            success: function (data) {
                $(location).attr('href', '@Url.Action("Buscador", "Libros")');
            }
        });
    }

    // Chequea que los campos del formulario esten cumplimentados
    // 10.04/2013
    function checkLogin() {

        var result = true;
        if (ContainText('txtUser') == true) { CheckClass(true, 'txtUser') } else { CheckClass(false, 'txtUser'); result = false }
        if (ContainText('txtPass') == true) { CheckClass(true, 'txtPass') } else { CheckClass(false, 'txtPass'); result = false }

        return result;
    }

    //Redirecciona al controlador usuarios/Registro
    // JAC: 14.04.2013
    function Registro() {
        $(location).attr('href', '@Url.Action("Registro", "Usuarios")');
    }
    
</script>
<div class="dvWorkSpaceLogin">
<div id="dvLoginContainer">
    <div class="dvLoginImage">
        <img alt="" src='@Url.ContentImage("LECTURA.jpg")' />
    </div>
    <div class="dvLoginAcceso">
        <div class="dvTittle bold">
            @Html.Translation("ACCESOUSUARIOS")
        </div>
        <div class="dvUserTitle">
            @Html.Translation("NIF")</div>
        <div class="dvUser">
            <input id="txtUser" type="text" maxlength="9" style="width :150px;"  />
        </div>
        <div class="dvPassTitle">
            @Html.Translation("password")</div>
        <div class="dvPass">
            <input id="txtPass" type="password" maxlength="10" style="width :150px;" /></div>
        <div class="dvLoginButton">
            <a id="cmdLogin" href="javascript:login();" class="button blue">@Html.Translation("Acceder")</a>
        </div>
        <div class="dvLinks">
            <a href="#" id="lnkLostPassword" onclick ="javascript:recover();">@Html.Translation("forgotpassword")</a>
            <a href="#" id="lnkInvitado" onclick ="javascript:Invitado();">@Html.Translation("accesoinvitado")</a>
            <a href="#" id="lnkRegistrarse" onclick ="javascript:Registro();">@Html.Translation("Registrarse")</a>
        </div>
    </div>
</div>
</div>

<div id="msgBox" style="display:none;">
	@*inyecto el mensaje*@
</div>