﻿@ModelType List(Of Model.Esperanto.Usuarios)
@Code
    Dim AlternateRowStyle As String = String.Empty
    Dim Counter As Integer = 0
End Code
<script language ="javascript" type ="text/javascript">

    $(document).ready(function () {

        if ('@Model.Count' == 0) {
            $("#dvResults").hide();
            $("#dvNoResults").show();
        }
    })
    function Get_User(userId) {
        $(location).attr('href', '@Url.Action("Perfil", "Usuarios")?Id=' + userId);
    }
    
</script>

<div id="dvResults">
    <table id="tblUsers" border="1">
        <thead>
            <tr>
                <th>
                    @Html.Translation("NIF")
                </th>
                <th>
                    @Html.Translation("Nombre")
                </th>
                <th>
                    @Html.Translation("Apellido1")
                </th>
                <th>
                    @Html.Translation("Apellido2")
                </th>
                <th>
                    @Html.Translation("Telefono")
                </th>
                <th>
                    @Html.Translation("Poblacion")
                </th>
                <th>
                    @Html.Translation("Rol")
                </th>
                <th>
                    @Html.Translation("Estado")
                </th>
                <th>
                    @Html.Translation("Editar")
                </th>
            </tr>
        </thead>
        <tbody>
            @For Each item As Model.Esperanto.Usuarios In Model
                If Counter Mod 2 = 0 Then
                    AlternateRowStyle = "alt"
                Else
                    AlternateRowStyle = String.Empty
                End If
                @<tr class="@AlternateRowStyle">
                    <td>
                        @item.NIF
                    </td>
                    <td>
                        @item.Nombre
                    </td>
                    <td>
                        @item.Apellido1 
                    </td>
                    <td>
                        @item.Apellido2
                    </td>
                    <td>
                        @item.Telf
                    </td>
                    <td>
                        @item.Poblacion
                    </td>
                    <td>
                        @IIf(item.RolId = 1, Html.Translation("Administrador"), Html.Translation("Usuarios"))
                    </td>
                    <td>
                        @IIf(item.Estado = 1, Html.Translation("Activo"), Html.Translation("Inactivo"))
                    </td>
                    <td style="padding-left :20px;padding-top:3px;cursor:pointer">
                        <img id="imgEdit" alt="" src='@Url.ContentImage("edit.png")' style="cursor:pointer" onclick="javascript:Get_User(@item.UserId)" />
                    </td>
                </tr>
                Counter += 1
            Next
        </tbody>
    </table>
</div>
<div id="dvNoResults" class="noResults" style="display:none;">
    @Html.Translation("NoResults")
</div>