﻿@Code
    ViewData("Title") = "recover"
    Layout = "~/Views/Shared/_Layout.vbhtml.vbhtml"
End code
    
 <script language ="javascript" type ="text/javascript" >   

     $(document).ready(function () {
         $("#txtFechaNacimiento").datepicker({ dateFormat: "dd/mm/yy" });
     });

    // Realiza la petición ajax para consultar el usuario
    // JAC: 25.04.2013
    function GetUser() {

        var url = '@Url.Action("RecoverPass", "Usuarios")';

        var nif = $("#txtNIF").val();
        var email = $("#txtEmail").val();
        var fechaNacimiento = $("#txtFechaNacimiento").val(); 

        if (checkGetUser()){

            $.ajax({

                url: url,
                type: "POST",
                data: { NIF: nif, Email: email, FechaNacimiento: fechaNacimiento },
                beforeSend: function () {
                    $("#dvDatos").hide();
                    $("#dvloading_control").show();
                },
                success: function (data) {
                    if (data > 0) {
                        $("#hdnIdUser").val(data);
                        $("#dvloading_control").hide();
                        $("#dvPasswordsFields").show();
                        $("#cmdRecover").show();
                        $("#cmdGetUSer").hide();
                    }
                    else {
                        $("#dvDatos").show();
                        $("#dvloading_control").hide();
                        alert('@html.Translation("usernotexists")');
                    }
                }
            });
        }
    }

    // Realiza la petición ajax para actualizar la contraseña
    // JAC: 25.04.2013
    function UpdatePass() {
    
        var url = '@Url.Action("UpdatePass", "Usuarios")';

        var userId = $("#hdnIdUser").val();
        var password = $("#txtPassword").val();

        if (checkUpdatePass()) {
        
            $.ajax({

                url: url,
                type: "POST",
                data: { UserId: userId, Password: password },
                beforeSend: function () {
                    $("#dvloading_control").show();
                },
                success: function (data) {

                    if (data == "True") {
                        alert('@Html.Translation("changepaswok")');
                        $("#dvPasswordsFields").hide();
                        $(location).attr('href', '@Url.Action("Buscador", "Libros")');
                    }
                    else {
                        alert('@Html.Translation("usernotexists")');
                        $("#dvloading_control").hide();
                    }
                }

            });
        }
    }

    // Valida las contraseñas
    // JAC: 26.04.2013
    function checkUpdatePass() {

        var result = true;

        if (ContainText('txtPassword') == true) { CheckClass(true, 'txtPassword') } else { CheckClass(false, 'txtPassword'); result = false }
        if (ContainText('txtPassword2') == true) { CheckClass(true, 'txtPassword2') } else { CheckClass(false, 'txtPassword2'); result = false }
        if ($("#txtPassword").val() == $("#txtPassword2").val()) { CheckClass(true, 'txtPassword2') } else { CheckClass(false, 'txtPassword2'); result = false }

        return result;
    }

    // Valida el formulario de recuperar contraseña
    // JAC: 25.04.2013
    function checkGetUser() {

        var result = true;

        if (ContainText('txtNIF') == true) { CheckClass(true, 'txtNIF') } else { CheckClass(false, 'txtNIF'); result = false }
        if (validateDNI($("#txtNIF").val().trim()) == true) { CheckClass(true, 'txtNIF') } else { CheckClass(false, 'txtNIF'); result = false }

        if (ContainText('txtEmail') == true) { CheckClass(true, 'txtEmail') } else { CheckClass(false, 'txtEmail'); result = false }
        if (ValidaEmail($("#txtEmail").val().trim()) == true) { CheckClass(true, 'txtEmail') } else { CheckClass(false, 'txtEmail'); result = false }
        if (ContainText('txtFechaNacimiento') == true) { CheckClass(true, 'txtFechaNacimiento') } else { CheckClass(false, 'txtFechaNacimiento'); result = false }
        if (isValidDate($("#txtFechaNacimiento").val()) == true) { CheckClass(true, 'txtFechaNacimiento') } else { CheckClass(false, 'txtFechaNacimiento'); result = false }

        return result;
    }

 </script>   
    
<div id="dvRecoverContainer" class="dvRecover">
    <input id="hdnIdUser" type="hidden" />
    <div>
        <div id="dvTitle" class="dvTittle bold">
            @Html.Translation("recover")
        </div>
     
        <div id="dvDatos" style="display:block;">
           
            <div class="dvUserTitle">
                @Html.Translation("NIF")
            </div>
            <div class="dvUser">
                <input id="txtNIF" type="text" maxlength="9" />
            </div>
            <div class="dvUserTitle">
                @Html.Translation("Email")
            </div>
            <div class="dvUser">
                <input id="txtEmail" type="text" maxlength="100" />
            </div>
            <div class="dvUserTitle">
                @Html.Translation("Fechanacimiento")
            </div>
            <div class="dvUser">
                <input id="txtFechaNacimiento" type="text" maxlength="10"  />
            </div>

        </div>
        
        <div id="dvPasswordsFields" style="display:none;">

            <div class="dvUserTitle">
                @Html.Translation("password")
            </div>
            <div class="dvUser">
                <input id="txtPassword" type="password" maxlength ="10" />
            </div>
             <div class="dvUserTitle">
                @Html.Translation("password2")
            </div>
            <div class="dvUser">
                <input id="txtPassword2" type="password" maxlength ="10" />
            </div>

        </div>
        <div style="height:100px;margin: 0 auto 0 auto;width: 200px;">
            <div id="dvloading_control" class="dvloading_control" style="display:none; top:0px;">
                <img alt ="" src="@Url.Image("big-loading.gif")" class="loadingImage" />
            </div>
        </div>

        <div class="dvLoginButton">
            <a href="#" id="cmdGetUSer" class="button blue" onclick="javascript:GetUser();">@Html.Translation("recoverButton")</a>
            <a href="#" id="cmdRecover" class="button blue" onclick="javascript:UpdatePass();" style="display:none;" >@Html.Translation("actualizar")</a>
        </div>
    </div>
</div>
