﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_AddPrestamo')
	BEGIN
		DROP  Procedure spd_AddPrestamo
	END

GO

CREATE PROCEDURE [dbo].[spd_AddPrestamo]
(
	@ReservaId int
)

AS

	DECLARE @LibroId int
	DECLARE @UserId int  
	DECLARE @PrestamoId int
	
	SELECT @LibroId = LibroId, @UserId = UserId FROM Reservas WHERE ReservaId = @ReservaId 

	INSERT INTO Prestamos (LibroId, UserId, FechaPrestamo,FechaRetorno, Retornado, ReservaId, EstadoPRestamoId)
	VALUES(@LibroId, @UserId, GETDATE(), NULL, 0, @ReservaId, 1)

	SET @PrestamoId = @@IDENTITY 
	
	UPDATE Reservas SET EstadoReservaId = 3 WHERE ReservaId = @ReservaId 

	SELECT PrestamoId, LibroId, UserId, FechaPrestamo, FechaRetorno, Retornado, ReservaId, EstadoPRestamoId FROM Prestamos WHERE PrestamoId = @PrestamoId 
		 
GO
