﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_AddUser')
	BEGIN
		DROP  Procedure spd_AddUser
	END

GO

CREATE PROCEDURE [dbo].[spd_AddUser]
(
	@NIF nchar(9),
	@Nombre [nchar](100),
	@Apellido1 [nchar](100),
	@Apellido2 [nchar](100),
	@Telf [nchar](10),
	@Direccion [nchar](100),
	@Poblacion [nchar](100),
	@Email [nchar](100),
	@Password [nchar](10),
	@RolId int,
	@FechaNacimiento [datetime],
	@FechaAlta [datetime],
	@FechaBaja [datetime],
	@Estado [bit],
	@IdIdioma int
)

AS

	DECLARE @UserId int

	IF EXISTS(SELECT 0 FROM Usuarios WHERE NIF = @NIF)
	BEGIN
		SET @UserId = 0
	END
	ELSE
	BEGIN
		INSERT INTO Usuarios VALUES (@NIF, @Nombre, @Apellido1, @Apellido2, @Telf,
									 @Direccion, @Poblacion, @Email, @Password, @RolId,
									 @FechaNacimiento, GETDATE(), @FechaBaja, 1, @IdIdioma)

		SET @UserId = @@IDENTITY 
	END
		
	SELECT @UserId
	 
GO