﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_CancelarReserva')
	BEGIN
		DROP  Procedure  spd_CancelarReserva
	END

GO

CREATE PROCEDURE [dbo].[spd_CancelarReserva]
(
	@ReservaId int
)

AS

	DECLARE @LibroId int

	-- Actualiza la reserva
	UPDATE	Reservas SET
			EstadoReservaId		=  2, -- Cancelada
			FechaCancelacion	= GETDATE()
	WHERE ReservaId = @ReservaId

	-- Actualiza el stock de libros
	SELECT @LibroId = LibroId FROM Reservas WHERE ReservaId = @ReservaId

	UPDATE Libros SET Stock = Stock + 1 WHERE LibroID = @LibroId 

	SELECT ReservaId, UserId, LibroId, FechaReserva, FechaCancelacion, EstadoReservaId
	FROM Reservas WHERE ReservaId = @ReservaId

GO
