﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_GetReservaByReservaId')
	BEGIN
		DROP  Procedure  spd_GetReservaByReservaId
	END

GO

CREATE PROCEDURE [dbo].[spd_GetReservaByReservaId]
(
	@ReservaId int
)

AS

	SELECT	ReservaId, UserId, LibroId, FechaReserva, FechaCancelacion, EstadoReservaId
	FROM	Reservas
	WHERE	ReservaId = @ReservaId

GO
