﻿USE [Esperanto]
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spd_Recover')
	BEGIN
		DROP  Procedure  spd_Recover
	END

GO

CREATE PROCEDURE [dbo].[spd_Recover]
(
	@NIF nchar(9),
	@Email nchar(25),
	@FechaNacimiento datetime
)

AS

	SELECT	UserId, NIF, Nombre, Apellido1, Apellido2, Telf, Direccion, Poblacion, Email, 
			[Password], RolId, FechaNacimiento, FechaAlta, FechaBaja, Estado, IdIdioma
	FROM	Usuarios
	WHERE   nif				= @NIF 
	AND		Email			= @Email
	AND		CONVERT(nchar(8), FechaNacimiento, 112)  =  CONVERT(nchar(8), @FechaNacimiento, 112) 