﻿@ModelType Model.Esperanto.Prestamos  
@Code
    ViewData("Title") = "Prestamo"
    Layout = Nothing
    Dim ControllerAction As String = String.Format("{0}/{1}", ViewContext.RouteData.GetRequiredString("controller"), ViewContext.RouteData.GetRequiredString("action"))
End Code

<script type="text/javascript" language="javascript"> 

    function CancelClick() {
        $("#dialogPrestamo").dialog("close");
    }
      
</script> 
     
<div class="dvContainerPOPUP" >
    <div id="dvTittleUserPOPUP" class="title titleText dvTittleUserPOPUP" >
        @Html.Translation("DetallePrestamo") @Model.PrestamoId
    </div>
    <div class="titlePopUp1">
        @Html.Translation("Nombre")
    </div>
    <div class="inputPopUp1">
        <span id="Nombre" class="text">@Model.Usuarios.Nombre.Trim</span>
    </div>
    <div class="titlePopUp2">
        @Html.Translation("Email")</div>
    <div class="inputPopUp2">
        <span id="Email" class="text">@Model.Usuarios.Email.Trim</span> 
    </div>
    <div class="titlePopUp1">
        @Html.Translation("Apellido1")
    </div>
    <div class="inputPopUp1">
        <span id="Apellido" class="text">@Model.Usuarios.Apellido1.Trim</span>
    </div>
    <div class="titlePopUp2">
        @Html.Translation("NIF")
    </div>
    <div class="inputPopUp2">
        <span id="NIF" class="text">@Model.Usuarios.NIF.Trim</span>
    </div>
    <div class="titlePopUp1">
        @Html.Translation("Titulo")
    </div>
    <div class="inputPopUp1">
        <span id="Titulo" class="text">@Model.Libros.Titulo.Trim</span>
    </div>
    <div class="titlePopUp2">
        @Html.Translation("Editorial")
    </div>
    <div class="inputPopUp2">
        <span id="Editorial" class="text">@IIf(Model.Libros.Editorial IsNot Nothing AndAlso Model.Libros.Editorial.Descripcion IsNot Nothing, Model.Libros.Editorial.Descripcion.Trim, String.Empty)</span>
    </div>
    <div class="titlePopUp1">
        @Html.Translation("Autor")
    </div>
    <div class="inputPopUp1">
        <span id="Autor" class="text">@IIf(Model.Libros.Autor IsNot Nothing, Model.Libros.Autor.Descripcion.Trim, String.Empty)</span>
    </div>
    <div class="titlePopUp2">
        @Html.Translation("Genero")
    </div>
    <div class="inputPopUp2">
        <span id="Genero" class="text">@IIf(Model.Libros.Genero IsNot Nothing, Model.Libros.Genero.Descripcion.Trim, String.Empty)</span>
    </div>
    <div class="titlePopUp1">
        @Html.Translation("ISBN")
    </div>
    <div class="inputPopUp1">
        <span id="ISBN" class="text">@Model.Libros.ISBN.Trim</span>
    </div>
    <div class="titlePopUp2">
        @Html.Translation("Estado")
    </div>
    <div class="inputPopUp2">
        <span id="Estado" class="text">@Html.Translation(Model.EstadoPrestamo.Descripcion)</span>
    </div>
    <div class="titlePopUp1">
        @Html.Translation("Prestado")
    </div>
    <div class="inputPopUp1">
        <span class="text">@HtmlExtensions.GetFormat_Date(Model.FechaPrestamo)</span>
    </div>
    <div class="titlePopUp2">
        @Html.Translation("Retornado")
    </div>
    <div class="inputPopUp2">
        <span class="text">@HtmlExtensions.GetFormat_Date(Model.FechaRetorno)</span>
    </div>
    <div class="dvUsuarioButtonPopUp">
        <a href="#" id="cmdCancel" class="button blue" onclick="javascript:CancelClick();">@Html.Translation("Cancelar")</a>
    </div>
</div>
